//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_9day_1/sky2
{
	qer_editorimage textures/aadel_9day_1/env/toxic.tga
    qer_trans 0.99
   
	//q3map_lightsubdivide 1024 - redundant
	q3map_backsplash 0 0
	q3map_lightmapFilterRadius 0 8	//0 16 - 16 was way too blurry

	q3map_sunExt 0.875 0.9 1 15 -126 19 3 8
				//0.875 0.9 1 40 -126 19 3 8
				//0.875 0.9 1 80 -126 19 3 8
				//0.875 0.9 1 100 -126 19 2 12
				//0.875 0.9 1 150 -126 19 3 24 decrease intensity and samples
				// R G B Intensity Degrees Elevation Deviance Samples
	q3map_skyLight 30 12
				//45 10
				//50 8
				//20 10
	q3map_lightRGB 	0.825 0.85 0.925
   
	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	
	nopicmip
	nomipmaps
   
	skyparms textures/aadel_9day_1/env/black 1024 -
	//textures/aadel_9day_1/sky2 2048 -
	//{
	//	map textures/aadel_9day_1/env/clouds.tga
	//	tcMod scale 20 20
	//	tcMod scroll 0.003 0.007
	//	//blendFunc blend
	//	//alphaGen const 0.2
	//	rgbGen identityLighting
	//}
	{
		map textures/aadel_9day_1/env/clouds_2.tga
		tcMod scale 12 12		//1.5 1.5
		tcMod scroll 0.005 0.009	//0.01 0.0175
		//blendFunc blend
		//alphaGen const 0.6
		rgbGen identityLighting
	}
	{
		clampMap textures/aadel_9day_1/env/toxic.tga
		//clampMap textures/aadel_9day_1/env/toxic_white.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
		tcMod transform 0.75 0 0 0.75 -0.678 -0.678
		tcMod stretch sin 1 0.1 0 .04
		rgbGen identityLighting
	}
}

textures/aadel_9day_1/levelfog
{
	qer_editorimage textures/aadel_filter/del_flare08.tga
	qer_trans 0.25

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap

	qer_nocarve
	fogparms (0.1 0.1 0.15) 8000
			//(0 0 0) 100000
}

textures/aadel_9day_1/skyboxcloud
{
	qer_editorimage textures/aadel_9day_1/env/clouds.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm alphashadow
	{
		map textures/aadel_9day_1/env/clouds.tga
		blendfunc blend
	}
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/water
{
	qer_editorimage textures/aadel_9day_1/wvw_water.tga
    qer_trans 0.5
    q3map_globaltexture
	q3map_cheapwater 4 0.4 0.5 0.4	//wave size, R, B, G 

    surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
    surfaceparm water

    cull none
	nopicmip

	//fogparms ( 0.33 0.2 0 ) 512
        {
			map textures/aadel_9day_1/wvw_water.tga
			blendFunc blend
			alphaGen const 0.65
			tcMod scale 0.725 0.725
			rgbGen const ( 0.3 0.18 0.015 )
			tcMod turb 0.1 0.1 0.1 .1
        }
        {
			map textures/aadel_9day_1/wvw_water.tga
			blendFunc blend
			alphaGen const 0.55
			rgbGen const ( 0.15 0.1 0.015 )
			tcMod scroll .05 -.01
			tcMod turb 0 0.1 1 .1
		}
       {
			map textures/aadel_9day_1/wvw_water.tga
			blendFunc blend
			alphaGen const 0.35
			rgbGen const ( 0.33 0.2 0 )
			tcMod scale 1.125 1.125
			tcMod turb 0 0.1 1 .1
       }
}
textures/aadel_9day_1/watercaulk
{
	qer_editorimage textures/aadel_9day_1/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/grass_mud_phong
{
	qer_editorimage textures/aadel_9day_1/ground1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_9day_1/ground2.tga
	}
	{
		map textures/aadel_9day_1/ground1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_9day_1/rockky_phong
{
	qer_editorimage textures/aadel_9day_1/rocky.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_9day_1/rocky2.tga
	}
	{
		map textures/aadel_9day_1/rocky.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_9day_1/wall06_dull
{
	qer_editorimage textures/aadel_9day_1/wall06_dull.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_9day_1/wall06_dark.tga
	}
	{
		map textures/aadel_9day_1/wall06_dull.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/decal_crasse04
{
	qer_editorimage textures/aadel_9day_1/crasse04.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/crasse04.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_crasse05
{
	qer_editorimage textures/aadel_9day_1/crasse05.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/crasse05.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_crasse07
{
	qer_editorimage textures/aadel_9day_1/crasse07.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/crasse07.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_keres4_decal31
{
	qer_editorimage textures/aadel_9day_1/keres4_decal31.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/keres4_decal31.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_keres4_decal35
{
	qer_editorimage textures/aadel_9day_1/keres4_decal35.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/keres4_decal35.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_keres4_decal35
{
	qer_editorimage textures/aadel_9day_1/keres4_decal35.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/keres4_decal35.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_brix01
{
	qer_editorimage textures/aadel_9day_1/brix01.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/brix01.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_tag_anarchy
{
	qer_editorimage textures/aadel_9day_1/tag_anarchy.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/tag_anarchy.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_tag_arlek
{
	qer_editorimage textures/aadel_9day_1/tag_arlek.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/tag_arlek.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/del_moss_leak
{
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/aadel_9day_1/del_moss_leak.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_9day_1/leak_a
{
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/aadel_9day_1/leak_a.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_9day_1/del_beam1
{
	qer_editorimage textures/aadel_9day_1/del_beam1.tga
	nopicmip
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.7
	cull none
	deformvertexes autosprite2
	{
		map textures/aadel_9day_1/del_beam1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}
textures/aadel_9day_1/metal_fence
{
	qer_editorimage textures/aadel_9day_1/metal_sheet.tga
	q3map_lightmapSampleSize 4
	surfaceparm alphashadow
	surfaceparm trans
	sort 9
	nopicmip
	q3map_cloneshader textures/aadel_9day_1/metal_fence_back
	{
		map textures/aadel_9day_1/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_9day_1/metal_fence_back
{
	qer_editorimage textures/aadel_9day_1/metal_sheet.tga
	q3map_lightmapSampleSize 4
	surfaceparm alphashadow
	surfaceparm trans
	sort 10
	nopicmip
	q3map_invert
	{
		map textures/aadel_9day_1/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

models/mapobjects/keres2/light
{
	qer_editorimage models/mapobjects/keres2/light.tga
	q3map_surfacelight 7000 
						//15000 - uptown mirrored
						//9000 - filter
	q3map_lightmapFilterRadius 0 8
	q3map_backSplash 25 20 //percent units - 5 23 by default
	q3map_lightRGB	1 1 1
					//1 1 0.9 - Uptown Mirrored
					//1 0.996 0.741 - Filter
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/keres2/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
levelshots/ut4_backalley_b3
{
	nopicmip
	nomipmaps
	{
		map levelshots/ut4_backalley_b3.tga
	}
	//{
	//	map levelshots/ut4_backalley_b3_2.tga
	//	blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	alphaGen	wave sin 0 1 1 0.03
	//}	
}